
#ifndef MQTT_CONF_H_
#define MQTT_CONF_H_

#define ADDRESS     "tcp://172.25.240.31:1983"//"tcp://172.25.240.199:1883"//
#define CLIENTID    "CCU.%s.%s"

#define PAYLOAD     "Hello World!"
#define QOS         0
#define TIMEOUT     10000L
#define USRNAME     "hangzhou_gateway "
#define PASSWORD    "2ca1442865ff4cb99870f60f2c646190"
#define AUTO_CONN   1
#define CONNECT_TIMEOUT   3
#define IPSTR "172.25.240.194"
#define PORT 8092//10040//8092

typedef enum {
	RETURN_FAIL = -1,
	RETURN_SUCCESS = 0,
} kk_kcloud_error_code_t;
#define  MQTT_AUTH_HOST_NAME       "test.dev.nj-ikonke.site"

int KK_Get_ccuid( char *device_code);
int kk_check_config_file(char* path,char **config);
int kk_cloud_get_pid(char *productId);
int kk_cloud_get_key(char *key);
int KK_Send_CloudHB2Mid(int state);
#endif

